org.apache.hc.client5.http.entity

## Class GzipCompressingEntity

- java.lang.Object
- - org.apache.hc.core5.http.io.entity.HttpEntityWrapper
  - - org.apache.hc.client5.http.entity.GzipCompressingEntity

- All Implemented Interfaces:
    Closeable, AutoCloseable, org.apache.hc.core5.http.EntityDetails, org.apache.hc.core5.http.HttpEntity

      public class GzipCompressingEntity
      extends org.apache.hc.core5.http.io.entity.HttpEntityWrapper

  Wrapping entity that compresses content when `writing`.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GzipCompressingEntity(org.apache.hc.core5.http.HttpEntity entity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `getContent()`
    `String` | `getContentEncoding()`
    `long` | `getContentLength()`
    `boolean` | `isChunked()`
    `void` | `writeTo(OutputStream outStream)`

    - ### Methods inherited from class org.apache.hc.core5.http.io.entity.HttpEntityWrapper

      `close, getContentType, getTrailerNames, getTrailers, isRepeatable, isStreaming, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GzipCompressingEntity

          public GzipCompressingEntity(org.apache.hc.core5.http.HttpEntity entity)

  - ### Method Detail

    - #### getContentEncoding

          public String getContentEncoding()

      Specified by:
        `getContentEncoding` in interface `org.apache.hc.core5.http.EntityDetails`
      Overrides:
        `getContentEncoding` in class `org.apache.hc.core5.http.io.entity.HttpEntityWrapper`

    - #### getContentLength

          public long getContentLength()

      Specified by:
        `getContentLength` in interface `org.apache.hc.core5.http.EntityDetails`
      Overrides:
        `getContentLength` in class `org.apache.hc.core5.http.io.entity.HttpEntityWrapper`

    - #### isChunked

          public boolean isChunked()

      Specified by:
        `isChunked` in interface `org.apache.hc.core5.http.EntityDetails`
      Overrides:
        `isChunked` in class `org.apache.hc.core5.http.io.entity.HttpEntityWrapper`

    - #### getContent

          public InputStream getContent()
                                 throws IOException

      Specified by:
        `getContent` in interface `org.apache.hc.core5.http.HttpEntity`
      Overrides:
        `getContent` in class `org.apache.hc.core5.http.io.entity.HttpEntityWrapper`
      Throws:
        `IOException`

    - #### writeTo

          public void writeTo(OutputStream outStream)
                       throws IOException

      Specified by:
        `writeTo` in interface `org.apache.hc.core5.http.HttpEntity`
      Overrides:
        `writeTo` in class `org.apache.hc.core5.http.io.entity.HttpEntityWrapper`
      Throws:
        `IOException`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.